Package csb :: Package apps :: Module buildhmm :: Class FASTAProfileBuilder

[frames] | no frames]

# Class FASTAProfileBuilder

source code

        object --+
                 |
    ProfileBuilder --+
                     |
                    FASTAProfileBuilder

Nested Classes
Inherited from `ProfileBuilder`: `__metaclass__`

Instance Methods

configure_input(self) | source code

Inherited from `ProfileBuilder`: `__init__`, `build_alignment`, `calibrate_hmm`, `make_hmm`, `run` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods
Inherited from `ProfileBuilder`: `create`

Class Variables
| __abstractmethods__ = ``frozenset([``])``
Inherited from `ProfileBuilder`: `EMISSION_PSEUDO`, `TRANSITION_PSEUDO`

Properties
Inherited from `ProfileBuilder`: `target_id` Inherited from `object`: `__class__`

Method Details

### configure_input(self)

source code

Overrides: ProfileBuilder.configure_input